%define major		0
%define libname		%mklibname ogg %{major}
%define develname	%mklibname ogg -d

Summary:	Ogg Bitstream Library
Name:		libogg
Version:	1.3.6
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		https://www.xiph.org/
Source:		https://downloads.xiph.org/releases/ogg/%{name}-%{version}.tar.xz
Patch1:		libogg-1.0-lib64.patch

%description
Libogg is a library for manipulating ogg bitstreams. It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libogg-devel = %{version}-%{release}
Obsoletes:	%{_lib}ogg-static-devel < 1.3.3-2

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

rm -rf %{buildroot}%{_docdir}/libogg/

%files -n %{libname}
%doc AUTHORS CHANGES README.md
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc doc/*.html doc/*.png doc/*.txt
%{_includedir}/ogg
%{_libdir}/*.so
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/*


%changelog
* Tue Jul 22 2025 daviddavid <daviddavid> 1.3.6-1.mga10
+ Revision: 2258068
- new version: 1.3.6

* Thu Jun 26 2025 umeabot <umeabot> 1.3.5-3.mga10
+ Revision: 2195839
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 1.3.5-2.mga9
+ Revision: 1793612
- Mageia 9 Mass Rebuild

* Thu Aug 05 2021 luigiwalser <luigiwalser> 1.3.5-1.mga9
+ Revision: 1739674
- 1.3.5

* Sun Feb 16 2020 umeabot <umeabot> 1.3.4-2.mga8
+ Revision: 1531331
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 10 2019 shlomif <shlomif> 1.3.4-1.mga8
+ Revision: 1439470
- New version 1.3.4

* Sun Sep 23 2018 umeabot <umeabot> 1.3.3-5.mga7
+ Revision: 1299064
- Mageia 7 Mass Rebuild

* Fri May 04 2018 wally <wally> 1.3.3-4.mga7
+ Revision: 1226198
- revert r1226194 as we really want to get rid of .la files
  (vlc build issue should be fixed by removing .la files from other libs needing libogg)

* Fri May 04 2018 shlomif <shlomif> 1.3.3-3.mga7
+ Revision: 1226194
- restore the *.la files cuz vlc build got broken

* Wed May 02 2018 daviddavid <daviddavid> 1.3.3-2.mga7
+ Revision: 1224660
- disable static libraries

* Thu Apr 05 2018 zezinho <zezinho> 1.3.3-1.mga7
+ Revision: 1215515
- new version 1.3.4

* Tue Feb 02 2016 umeabot <umeabot> 1.3.2-4.mga6
+ Revision: 932571
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-3.mga5
+ Revision: 743669
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-2.mga5
+ Revision: 681673
- Mageia 5 Mass Rebuild

* Thu May 29 2014 sander85 <sander85> 1.3.2-1.mga5
+ Revision: 627530
- New version: 1.3.2

* Sat Oct 19 2013 umeabot <umeabot> 1.3.1-2.mga4
+ Revision: 523927
- Mageia 4 Mass Rebuild

* Sun May 26 2013 blino <blino> 1.3.1-1.mga4
+ Revision: 428306
- 1.3.1

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 357911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 08 2011 tv <tv> 1.3.0-1.mga2
+ Revision: 141193
- new release
- split out static pkg

* Sat Apr 16 2011 pterjan <pterjan> 1.2.2-1.mga1
+ Revision: 86628
- Update to 1.2.2
- Use the .xz tarball

* Wed Jan 12 2011 blino <blino> 1.2.0-3.mga1
+ Revision: 6641
- remove old ldconfig scriptlets
- imported package libogg


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-2mdv2011.0
+ Revision: 602590
- rebuild

* Sat Mar 27 2010 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 528055
- new version 1.2.0

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.4-3mdv2010.1
+ Revision: 520892
- rebuilt for 2010.1

* Sun Jul 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.4-2mdv2010.0
+ Revision: 395098
- fix obsoletes

* Sun Jul 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.4-1mdv2010.0
+ Revision: 394924
- use sed instead of patch 0
- disable patch1
- protect major
- spec file clean
- follow mdv's devel policy
- update to new version 1.1.4

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.1.3-4mdv2009.0
+ Revision: 222943
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-3mdv2008.1
+ Revision: 178987
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 1.1.3-1mdv2007.0
+ Revision: 108699
- Import libogg

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 1.1.3-1mdv2007.1
- unpack patches

* Wed Nov 30 2005 Götz Waschk <waschk@mandriva.org> 1.1.3-1mdk
- New release 1.1.3

* Tue Nov 09 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- New release 1.1.2
- fix 10.0 build
- fix source URL

